/*
 * Copyright 2007-2009 Jiemamy Project and the Others.
 * Created on 2009/02/10
 *
 * This file is part of Jiemamy.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.jiemamy.dialect;

/**
 * SQL出力にあたっての設定情報インターフェイス。
 * 
 * @since 0.2
 * @author daisuke
 */
public interface EmitConfig {
	
	/**
	 * CREATE SCHEMA文を出力するかどうかを取得する。
	 * 
	 * @return 出力する場合は{@code true}、そうでない場合は{@code false}
	 * @since 0.2
	 */
	boolean emitCreateSchemaStatement();
	
	/**
	 * CREATE文の前にDROP文を出力するかどうかを取得する。
	 * 
	 * @return　出力する場合は{@code true}、そうでない場合は{@code false}
	 * @since 0.2
	 */
	boolean emitDropStatements();
	
	/**
	 * 出力するデータセットのインデックスを取得する。
	 * 
	 * @return 出力するデータセットのインデックス. 出力しない場合は負数
	 * @since 0.2
	 */
	int getDataSetIndex();
	
}
