/*
 * Copyright 2007-2009 Jiemamy Project and the Others.
 * Created on 2009/03/31
 *
 * This file is part of Jiemamy.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.jiemamy.dialect.internal;

import java.util.Map;

import org.jiemamy.dialect.DataTypeResolver;
import org.jiemamy.dialect.ImportMetadataConfig;
import org.jiemamy.model.RootModel;
import org.jiemamy.model.entity.EntityModel;
import org.jiemamy.utils.ForEachUtil.TypeSafeResultSetVisitor;
import org.jiemamy.utils.metadata.TableMeta;
import org.jiemamy.utils.metadata.TypeSafeDatabaseMetaData;

/**
 * エンティティメタ情報から{@link RootModel}にインポートを行うビジターインターフェイス。
 * 
 * @author daisuke
 */
public interface EntityImportVisitor extends TypeSafeResultSetVisitor<TableMeta, Void, RuntimeException> {
	
	/**
	 * ビジターを初期化する。
	 * 
	 * @param meta DBメタデータ
	 * @param rootModel インポート先の{@link RootModel}
	 * @param config インポートに関するコンテキスト情報
	 * @param importedEntities インポートされたエンティティを格納する{@link Map}
	 * @param dataTypeResolver データ型リゾルバ
	 * @throws IllegalArgumentException 引数に{@code null}を与えた場合
	 */
	void intialize(TypeSafeDatabaseMetaData meta, RootModel rootModel, ImportMetadataConfig config,
			Map<String, EntityModel> importedEntities, DataTypeResolver dataTypeResolver);
	
}
