/*
 * Copyright 2007-2009 Jiemamy Project and the Others.
 * Created on 2009/03/23
 *
 * This file is part of Jiemamy.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.jiemamy.model.datatype;

/**
 * データ型({@link DataType})を保持するモデルを表すインターフェイス。
 * 
 * @param <T> 型記述子の型
 * @since 0.2
 * @author daisuke
 */
public interface DataTypeHolder<T extends DataType> {
	
	/**
	 * 型記述子を取得する。
	 * 
	 * @return 型記述子. 未設定の場合は{@code null}
	 * @since 0.2
	 */
	T getDataType();
	
	/**
	 * 型記述子を設定する。
	 * 
	 * <p>未設定とする場合は{@code null}を与えるが、モデルとしては無効となる。</p>
	 * 
	 * @param dataType 型記述子
	 * @since 0.2
	 */
	void setDataType(T dataType);
	
}
