/**
 * Jiemamyのルートパッケージ。
 * 
 * <p>このパッケージは、Jiemamyモデルに対する各種操作の中枢となる仕様を含む。
 * 特に{@link org.jiemamy.Jiemamy}クラスはJiemamyの制御の起点となる最も重要なクラスである。</p>
 * 
 * <p>Jiemamyは、Jiemamy自身のバグを検知した場合、{@link org.jiemamy.exception.UnexpectedConditionError}
 * をスローする。このエラーがスローされた場合は、確実にJiemamy実装のバグである。
 * また、各メソッドを呼び出した際、Javadocに記述されていない例外がスローされた場合も、
 * Jiemamyのバグ（実装バグ、またはJavadoc記述ミス等による仕様バグ）であると判断します。
 * もしバグを発見された際には、Jiemamy Project 宛てにバグレポートを頂ければ幸いです。</p>
 * 
 * <ul>
 *   <li>Jiemamy Projectホーム http://jiemamy.org/</li>
 *   <li>Jiemamy JIRA (バグ追跡) http://jira.jiemamy.org/</li>
 *   <li>Jiemamy-users メーリングリスト http://lists.sourceforge.jp/mailman/listinfo/jiemamy-users</li>
 * </ul>
 * 
 * <p>JIRAのカテゴリが不明な場合は、<a href="http://jira.jiemamy.org/jira/browse/GEN">統括プロジェクト</a>
 * に対して課題登録をして頂ければ問題ありません。コミッタが適切なカテゴリに移動を行います。</p>
 * 
 * <p>全体把握の際は、このパッケージの次に{@link org.jiemamy.model}パッケージを把握するとよい。</p>
 * 
 * @author daisuke
 */
package org.jiemamy;

