/*
 * Copyright 2007-2009 Jiemamy Project and the Others.
 * Created on 2009/01/19
 *
 * This file is part of Jiemamy.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.jiemamy.utils.model;

import org.jiemamy.ReferenceResolver;
import org.jiemamy.exception.UnexpectedConditionError;
import org.jiemamy.model.datatype.DataType;

/**
 * {@link DataType}のユーティリティクラス。
 * 
 * @author daisuke
 */
public final class DataTypeUtil {
	
	/**
	 * データ型名を取得する。
	 * 
	 * @param dataType 対象
	 * @param resolver 参照リゾルバ
	 * @return データ型名
	 * @throws IllegalArgumentException 引数に{@code null}を与えた場合
	 */
	public static String getTypeName(DataType dataType, ReferenceResolver resolver) {
		return dataType.toBuiltinDataType(resolver).getTypeName();
	}
	
	private DataTypeUtil() {
		throw new UnexpectedConditionError("不到達ポイント");
	}
}
